.top-notification {
    color: #fff;
    position: absolute;
    width: 100%;
    z-index: 20;
    text-align: center;
    font-size: 20px;
    left: 0;
    right: 0;
    top: 100%;
    line-height: 1;
}

.top-notification.is-active{
    position: relative;
    text-align: center;
    background: #a5907c;
    padding: 10px 20px;
    color: #fff;
    font-size: 12px;
}

.top-notification__text {
    font-size: 12px;
    line-height: 1.3;
}
.top-notification__text{
    padding: 0 20px;
    transition: opacity .5s ease-in-out 0.1s;
}
.top-notification:not(.is-active) .top-notification__text{
    opacity:0
}
.top-notification__num,
.top-notification__close {
    display: none;
    font-size: 15px;
    position: absolute;
    top: 50%;
    margin-top: -12px;
    width: 24px;
    height: 24px;
    border-radius: 100%;
    justify-content: center;
    padding: 4px;
}
.top-notification__num{
    background: #6f6358;
    color: #fff;
    left: 12px;
    aspect-ratio: 1;
    border: 2px solid #cda682;
    border-radius: 50%;
    transform: rotate(45deg);
    font-size: 12px;
}
.top-notification-list_is-count-1 .top-notification__num{
    display: none;
}
.top-notification__num__text{
    transform: rotate(-45deg);
}
.top-notification__num::before {
    content: "";
    position: absolute;
    inset: -2px;
    border-radius: 50%;
    border: 2px solid #fff;
    animation: l18 5s infinite linear;
}

.top-notification__close{
    font-size: 12px;
    right: 12px;
    background-color: #fff;
    color: #000;
    cursor: pointer;
}
.top-notification-list:not(.top-notification-list_is-count-1) .top-notification.is-active .top-notification__num,
.top-notification.is-active .top-notification__close{
    display: flex;
}
@media (max-width: 767px) {
    .top-notification {
        font-size: 16px;
    }
}


@keyframes l18 {
    0%   {clip-path:polygon(50% 50%,0 0,0    0,0    0   ,0    0   ,0    0   )}
    25%  {clip-path:polygon(50% 50%,0 0,100% 0,100% 0   ,100% 0   ,100% 0   )}
    50%  {clip-path:polygon(50% 50%,0 0,100% 0,100% 100%,100% 100%,100% 100%)}
    75%  {clip-path:polygon(50% 50%,0 0,100% 0,100% 100%,0    100%,0    100%)}
    100% {clip-path:polygon(50% 50%,0 0,100% 0,100% 100%,0    100%,0    0   )}
}